# New-RASVDIHostPool.md

## NAME

New-RASVDIHostPool

## SYNOPSIS

Creates a new VDI Host Pool.

## SYNTAX

**New-RASVDIHostPool** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ProvisioningType](#ProvisioningType) {Template | Standalone} \[-[DatastoreIDs](#DatastoreIDs) *(string\[])*] \[-[DatastoreSource](#DatastoreSource) {Template | Selection}] \[-[DefaultPowerState](#DefaultPowerState) {PoweredOn | PoweredOff | Suspended}] \[[Description](#description-string) *(string)*] \[[Duration](#duration-string) *(uint)*] \[[Enabled](#enabled-string) *(bool)*] \[[HostName](#hostname-string) *(string)*] \[[HostsToCreate](#hoststocreate-string) *(uint)*] \[[MaxHosts](#maxhosts-string) *(uint)*] \[[PreCreatedHosts](#precreatedhosts-string) *(uint)*] \[[TemplateId](#templateid-string) *(uint)*] \[[TemplateTagId](#templatetagid-string) *(uint)*] \[[TemplateVersionId](#templateversionid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Creates a new VDI Host Pool. Individual members can be added to the VDI host pool using the Add-RASVDIHostPoolMember cmdlet.

## PARAMETERS

## Name (string)

The name of the target VDI Host Pool.

This must be the actual VDI Host Pool name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID in which to modify the specified VDI Host Pool.

If the parameter is omitted, the site ID of the Licensing Server will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Description (string)

A user-defined VDI Host Pool description.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Enabled (bool)

Enable or disable the VDI Host Pool upon creation.

If the parameter is omitted, the VDI Host Pool is initialised as Disabled.

```
        Required?                    false

        Position?                    named

        Default value                False

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProvisioningType

([ProvisioningType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/provisioningtype.md)) The Host Pool Provisioning type

Possible values: Template, Standalone

```
        Required?                    true

        Position?                    named

        Default value                Template

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateId (uint)

Template ID

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateVersionId (uint)

Template Version ID

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## TemplateTagId (uint)

Template Tag ID

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## MaxHosts (uint)

The maximum number of hosts that can be created from the template.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## PreCreatedHosts (uint)

The maximum pre-created hosts.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostName (string)

The VM name format. All VMs created from the template will have this name with %ID:N:S% replaced.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefaultPowerState

([DefaultPowerState](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/defaultpowerstate.md)) The Default Power State

Possible values: PoweredOn, PoweredOff, Suspended

```
        Required?                    false

        Position?                    named

        Default value                PoweredOn

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Duration (uint)

The Duration

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostsToCreate (uint)

The number of hosts that will be created after template creation process has finished. These desktops are created only once.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DatastoreSource

([DatastoreSourceType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/datastoresourcetype.md)) Datastore Source.

Possible values: Template, Selection

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DatastoreIDs (string\[])

Datastore IDs.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[VDIHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/vdihostpool.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASVDIHostPool "My VDI Host Pool"

Creates a new VDI Host Pool with the specified name.

## RELATED LINKS

* [Get-RASVDIHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasvdihostpool.md)
* [Set-RASVDIHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasvdihostpool.md)
* [Remove-RASVDIHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdihostpool.md)
* [Add-RASVDIHostPoolMember](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasvdihostpoolmember.md)
* [Remove-RASVDIHostPoolMember](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasvdihostpoolmember.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasvdihostpool.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
